<?php
	// Multi Chikka Controller

	// Initialize
	$CLIENT_ID = "";
	$SECRET_KEY = "";
	$REQUEST_RESULT = false;

	// Get SHORT_CODE
	if(PHPRC_HTTP_PARAM::REF_ISSET('timestamp') === false )
	{
		
		foreach ($_POST as $key => $value) {
			echo $key;
			echo "	\n ";
			echo $value;
			echo "	\n ";
		}
		PHPRC_CHIKKA::REF_ON_COMPLETION(false);
	}

	// Get Service Code
	$SHORT_CODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('shortcode');
	
	// Retrieve Response data based on shortcode
	/*
	if
	(
		PHPVC_STR::VAR_IS_BLANK($SHORT_CODE) === false &&
		PHPVC_STR::VAR_IS_BLANK($SERVICE_CODE) === false
	)
	{
		// Get Shortcode Keys
		$CLIENT_ID = 
		$SECRET_KEY
		
	}
	*/
	$CLIENT_ID = '4f6bb42c472f87d4ee510cfd59b06798172bf187357015181dfccae65e8aa6bb';
	$SECRET_KEY = '85fd33bfe37903cc672df1ab68b0ceb541e9f47ca12fb6a449867d7ebc23e9de';
	$REQUEST_RESULT = PHPRC_CHIKKA::REF_NOTIFICATION_RECEIVER();
	PHPRC_CHIKKA::REF_ON_COMPLETION($REQUEST_RESULT);
?>